GeneratorTester (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image
Class GeneratorTester

    java.lang.Object
      com.bbn.openmap.image.GeneratorTester

All Implemented Interfaces:
  ImageReceiver

Deprecated. uses ImageServer methods no longer supported.

    public class GeneratorTester

extends java.lang.Object
implements ImageReceiver

A test class to play around with the image server.

Constructor Summary
`GeneratorTester(java.lang.String[] args)` Deprecated.

Method Summary
`boolean` | `loadProperties(java.net.URL url, java.util.Properties props)` Deprecated. Loads properties from a java resource.
`static void` | `main(java.lang.String[] args)` Deprecated. Test the image generator.
`void` | `parseArgs(java.lang.String[] args)` Deprecated.
`void` | `printHelp()` Deprecated. printHelp should print a usage statement which reflects the command line needs of the tester.
`void` | `receiveImageData(byte[] bytes)` Deprecated. Receive the bytes from a image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorTester

    public GeneratorTester(java.lang.String[] args)

  Deprecated.

Method Detail

### receiveImageData

    public void receiveImageData(byte[] bytes)

  Deprecated.
  Description copied from interface: `ImageReceiver`
  Receive the bytes from a image.

  Specified by:
    `receiveImageData` in interface `ImageReceiver`
  Parameters:
    `bytes` - the formatted image.

### main

    public static void main(java.lang.String[] args)

  Deprecated.
  Test the image generator.

### loadProperties

    public boolean loadProperties(java.net.URL url,
                                  java.util.Properties props)

  Deprecated.
  Loads properties from a java resource. This will load the named resource identifier into the given properties instance.

  Parameters:
    `props` - the Properties instance to receive the properties
    `url` - the resource to load

### parseArgs

    public void parseArgs(java.lang.String[] args)

  Deprecated.

### printHelp

    public void printHelp()

  Deprecated.
  printHelp should print a usage statement which reflects the command line needs of the tester.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details